PUT
/prod/channels/{channelId}/channelClass
http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/channelClassChanges the class of the channel.
Access Token Required: API Key
Path Parameters
channelIdstringrequired
Channel Id of the channel whose class should be updated.
Body Params
channelClassstringrequired
A standard channel has two encoding pipelines and a single pipeline channel only has one.
destinationsarray
Placeholder documentation for __listOfOutputDestination
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/channelClass' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}